Get Project Sessions

View as Markdown
`GET /projects/sessions` Returns all sourcing sessions belonging to the project associated with the API key. ## Headers | Key | Value | | --- | --- | | x-fj-api-key | fjk_ | ## Response (200) ``` json { "statusCode": 200, "data": [ { "_id": "69f3af1695f333e46da12376", "sessionTitle": ".NET Developer", "jdDetail": { "userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune" }, "totalProfiles": 25 }, { "_id": "69f2f43d07523d00cbff5367", "sessionTitle": "Senior .NET Developer", "jdDetail": { "userText": "Job Title: Senior .NET Developer, Experience: 4-8 years, Location: Pune" }, "totalProfiles": 35 } ], "message": "Project sessions fetched successfully", "status": "SUCCESS" } ``` ## cURL Replace `fjk_YOUR_API_KEY_HERE`, then paste and run: ``` bash curl "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions" \ -H "x-fj-api-key: fjk_YOUR_API_KEY_HERE" ``` ## Errors - `401 Unauthorized` — invalid API key. - `404 Not Found` — no project associated with the API key.

Authentication

x-fj-api-keystring
API Key authentication via header

Response headers

X-Powered-Bystring
X-Request-Idstring
Access-Control-Allow-Credentialsstring
RateLimit-Policystring
RateLimit-Limitstring
RateLimit-Remainingstring
RateLimit-Resetstring
ETagstring

Response

OK
statusCodeinteger
datalist of objects
messagestring
statusstring